
-----------------------------------------------------------------------------------------
--
-- Copyright (c) 2009-2012 ProactiveRA
--
-- This script is free software; you can redistribute it and/or modify it under
-- the terms of the GNU Lesser General Public License as published by the Free
-- Software Foundation; either version 3 of the License, or (at your option)
-- any later version.
--
-- This script is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-- FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
-- details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-----------------------------------------------------------------------------------------




DROP PROCEDURE P_KPI_EXECUTE_ALL;

CREATE OR REPLACE PROCEDURE P_KPI_EXECUTE_ALL
IS
  CURSOR C1 IS
	SELECT KPI_ID
	FROM REF_KPI_DEFINITION
	WHERE ACTIVE=1
	AND EXECUTION_FREQUENCY=1;
  JOB_ID BINARY_INTEGER;
BEGIN
  FOR C IN C1 LOOP

	P_KPI_EXECUTE(C.KPI_ID);

  END LOOP;

  BEGIN
      DBMS_JOB.SUBMIT (JOB=>JOB_ID,
         WHAT=>'BEGIN P_KPI_EXECUTE_TIMELY_KPIS; P_KPI_EXECUTE_FORMULA_KPIS; P_KPI_UPDATE_HISTORY; COMMIT; END;' );
  END;


END;
/

