
-----------------------------------------------------------------------------------------
--
-- Copyright (c) 2009-2012 ProactiveRA
--
-- This script is free software; you can redistribute it and/or modify it under
-- the terms of the GNU Lesser General Public License as published by the Free
-- Software Foundation; either version 3 of the License, or (at your option)
-- any later version.
--
-- This script is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-- FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
-- details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-----------------------------------------------------------------------------------------




DROP PROCEDURE P_SDR_LOAD_COMPARE;

CREATE OR REPLACE PROCEDURE P_SDR_LOAD_COMPARE (
	RECON_ID IN NUMBER,
	LOAD_PLATFORM_A IN NUMBER,
	LOAD_PLATFORM_B IN NUMBER DEFAULT NULL)
IS
BEGIN
  CASE
	WHEN RECON_ID=1 THEN P_SDR_INTRA_SAMPLE_PLTFRM_COMP(LOAD_PLATFORM_A);
	WHEN RECON_ID=2 THEN P_SDR_PLTFRM1_PLTFRM2_COMP(LOAD_PLATFORM_A, LOAD_PLATFORM_B);
	WHEN RECON_ID=3 THEN P_SDR_INTRA_OTHER_PLTFRM_COMP(LOAD_PLATFORM_A);
--      ...
  END CASE;
  P_SDR_EXECUTE_RECON_KPI(RECON_ID, LOAD_PLATFORM_A, LOAD_PLATFORM_B);
  COMMIT;
END;
/

