
-----------------------------------------------------------------------------------------
--
-- Copyright (c) 2009-2012 ProactiveRA
--
-- This script is free software; you can redistribute it and/or modify it under
-- the terms of the GNU Lesser General Public License as published by the Free
-- Software Foundation; either version 3 of the License, or (at your option)
-- any later version.
--
-- This script is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-- FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
-- details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-----------------------------------------------------------------------------------------




DROP PROCEDURE P_CDR_PRELOAD;

CREATE OR REPLACE PROCEDURE P_CDR_PRELOAD (
	V_TABLE IN VARCHAR2)
IS
  COMMAND_LINE VARCHAR2(3000);
  CURSOR C1 (V_TABLE CHAR) IS
	SELECT COLUMN_NAME
	FROM USER_TAB_COLUMNS
	WHERE TABLE_NAME=V_TABLE
	ORDER BY COLUMN_ID;
  FIRST_COLUMN NUMBER(1);
BEGIN
 
 COMMAND_LINE:='INSERT INTO LOAD_CDR_' || V_TABLE; 
 COMMAND_LINE:=COMMAND_LINE || ' (';

 FIRST_COLUMN := 1;

 FOR C IN C1('SQLLDR_CDR_' || V_TABLE) LOOP

	IF (FIRST_COLUMN = 0) THEN
		COMMAND_LINE:=COMMAND_LINE || ', ';
	ELSE
		FIRST_COLUMN:=0;
	END IF;
	COMMAND_LINE:=COMMAND_LINE || C.COLUMN_NAME;

 END LOOP;

 COMMAND_LINE:=COMMAND_LINE || ') ';
 COMMAND_LINE:=COMMAND_LINE || 'SELECT ';

 FIRST_COLUMN := 1;

 FOR C IN C1('SQLLDR_CDR_' || V_TABLE) LOOP

	IF (FIRST_COLUMN = 0) THEN
		COMMAND_LINE:=COMMAND_LINE || ', ';
	ELSE
		FIRST_COLUMN:=0;
	END IF;
	COMMAND_LINE:=COMMAND_LINE || C.COLUMN_NAME;

 END LOOP;

 COMMAND_LINE:=COMMAND_LINE || ' FROM SQLLDR_CDR_' || V_TABLE;


 EXECUTE IMMEDIATE COMMAND_LINE;

END;
/