
-----------------------------------------------------------------------------------------
--
-- Copyright (c) 2009-2012 ProactiveRA
--
-- This script is free software; you can redistribute it and/or modify it under
-- the terms of the GNU Lesser General Public License as published by the Free
-- Software Foundation; either version 3 of the License, or (at your option)
-- any later version.
--
-- This script is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-- FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
-- details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-----------------------------------------------------------------------------------------




DROP PROCEDURE P_SDR_INIT_OTHER_PLATFORM;

CREATE OR REPLACE PROCEDURE P_SDR_INIT_OTHER_PLATFORM (
	LOAD_NUMBER IN NUMBER)
IS
  COMMAND_LINE VARCHAR2(500);
BEGIN

  DELETE SDR_LOADS_OTHER_PLATFORM
  WHERE OTHER_PLATFORM_LOAD_NB=LOAD_NUMBER;

  INSERT INTO SDR_LOADS_OTHER_PLATFORM (
	OTHER_PLATFORM_LOAD_NB,
        FIELD_1,
        FIELD_2,
        FIELD_3,
      --...
        FIELD_N
  ) SELECT 
	LOAD_NUMBER,
        FIELD_1,
        FIELD_2,
        FIELD_3,
      --...
        FIELD_N
  FROM SQLLDR_SDR_OTHER_PLATFORM;

  COMMIT;

END;
/